C# Класс Revit.SDK.Samples.ValidateParameters.CS.Application

Наследование: IExternalApplication
Показать файл Открыть проект

Открытые методы

Метод Описание
OnShutdown ( UIControlledApplication application ) : Autodesk.Revit.UI.Result

Implement this method to implement the external application which should be called when Revit is about to exit,Any documents must have been closed before this method is called.

OnStartup ( UIControlledApplication application ) : Autodesk.Revit.UI.Result

Implement this method to implement the external application which should be called when Revit starts before a file or default template is actually loaded.

Приватные методы

Метод Описание
application_DocumentSaving ( Object sender, Autodesk e ) : void

Subscribe to the DocumentSaving event to be notified when Revit is just about to save the document.

application_DocumentSavingAs ( Object sender, Autodesk e ) : void

Subscribe to the DocumentSavingAs event to be notified when Revit is just about to save the document with a new file name.

validateParameters ( System.Windows.Forms.Document doc ) : void

The method is to validate parameters via FamilyParameter and FamilyType

Описание методов

OnShutdown() публичный Метод

Implement this method to implement the external application which should be called when Revit is about to exit,Any documents must have been closed before this method is called.
public OnShutdown ( UIControlledApplication application ) : Autodesk.Revit.UI.Result
application UIControlledApplication An object that is passed to the external application /// which contains the controlled application.
Результат Autodesk.Revit.UI.Result

OnStartup() публичный Метод

Implement this method to implement the external application which should be called when Revit starts before a file or default template is actually loaded.
public OnStartup ( UIControlledApplication application ) : Autodesk.Revit.UI.Result
application UIControlledApplication An object that is passed to the external application /// which contains the controlled application.
Результат Autodesk.Revit.UI.Result